<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionSwitchLights Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d71/class_action_switch_lights.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionSwitchLights Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionSwitchLights:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../df/d71/class_action_switch_lights.png" usemap="#ActionSwitchLights_map" alt=""/>
  <map id="ActionSwitchLights_map" name="ActionSwitchLights_map">
<area href="../../d0/d5b/class_action_interact_base.html" alt="ActionInteractBase" shape="rect" coords="0,0,118,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a5ea74f673002a9827d830f54af02460d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d71/class_action_switch_lights.html#a5ea74f673002a9827d830f54af02460d">ActionSwitchLights</a> ()</td></tr>
<tr class="separator:a5ea74f673002a9827d830f54af02460d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2f758fd81731c4d3c14978d9738726c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d71/class_action_switch_lights.html#ae2f758fd81731c4d3c14978d9738726c">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:ae2f758fd81731c4d3c14978d9738726c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e57a455503679f4069b3bf94d56d5fd"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d71/class_action_switch_lights.html#a4e57a455503679f4069b3bf94d56d5fd">GetInputType</a> ()</td></tr>
<tr class="separator:a4e57a455503679f4069b3bf94d56d5fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74277229c198e63665e954c1c4e3dcc6"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d71/class_action_switch_lights.html#a74277229c198e63665e954c1c4e3dcc6">HasTarget</a> ()</td></tr>
<tr class="separator:a74277229c198e63665e954c1c4e3dcc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a993270096b9908d1db6ba4f86099a04c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d71/class_action_switch_lights.html#a993270096b9908d1db6ba4f86099a04c">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a993270096b9908d1db6ba4f86099a04c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9f31a40b051ce8801e9fb2117883e28"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d71/class_action_switch_lights.html#af9f31a40b051ce8801e9fb2117883e28">OnExecuteServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:af9f31a40b051ce8801e9fb2117883e28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a615c4df994170f82827229ba76363174"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d71/class_action_switch_lights.html#a615c4df994170f82827229ba76363174">CanBeUsedInVehicle</a> ()</td></tr>
<tr class="separator:a615c4df994170f82827229ba76363174"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html#l00001">1</a> of file <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html">ActionSwitchLights.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5ea74f673002a9827d830f54af02460d" name="a5ea74f673002a9827d830f54af02460d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ea74f673002a9827d830f54af02460d">&#9670;&#160;</a></span>ActionSwitchLights()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionSwitchLights::ActionSwitchLights </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html#l00003">3</a> of file <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html">ActionSwitchLights.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a993270096b9908d1db6ba4f86099a04c" name="a993270096b9908d1db6ba4f86099a04c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a993270096b9908d1db6ba4f86099a04c">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionSwitchLights::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html#l00026">26</a> of file <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html">ActionSwitchLights.c</a>.</p>

</div>
</div>
<a id="a615c4df994170f82827229ba76363174" name="a615c4df994170f82827229ba76363174"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a615c4df994170f82827229ba76363174">&#9670;&#160;</a></span>CanBeUsedInVehicle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionSwitchLights::CanBeUsedInVehicle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html#l00081">81</a> of file <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html">ActionSwitchLights.c</a>.</p>

</div>
</div>
<a id="ae2f758fd81731c4d3c14978d9738726c" name="ae2f758fd81731c4d3c14978d9738726c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2f758fd81731c4d3c14978d9738726c">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionSwitchLights::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html#l00010">10</a> of file <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html">ActionSwitchLights.c</a>.</p>

</div>
</div>
<a id="a4e57a455503679f4069b3bf94d56d5fd" name="a4e57a455503679f4069b3bf94d56d5fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e57a455503679f4069b3bf94d56d5fd">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ActionSwitchLights::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html#l00016">16</a> of file <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html">ActionSwitchLights.c</a>.</p>

</div>
</div>
<a id="a74277229c198e63665e954c1c4e3dcc6" name="a74277229c198e63665e954c1c4e3dcc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74277229c198e63665e954c1c4e3dcc6">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionSwitchLights::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html#l00021">21</a> of file <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html">ActionSwitchLights.c</a>.</p>

</div>
</div>
<a id="af9f31a40b051ce8801e9fb2117883e28" name="af9f31a40b051ce8801e9fb2117883e28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9f31a40b051ce8801e9fb2117883e28">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionSwitchLights::OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html#l00064">64</a> of file <a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html">ActionSwitchLights.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Interact/Vehicles/<a class="el" href="../../d2/d6e/_action_switch_lights_8c_source.html">ActionSwitchLights.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d71/class_action_switch_lights.html">ActionSwitchLights</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
